Get an announcement
Returns a single announcement with its template reference, audience settings, and current delivery status.
GET
/v2/ accounts/ {accountId}/ announcements/ {announcementId}Path parameters
accountIdstringrequired
The account the request is scoped to.
announcementIdstringrequired
Response
The announcement.
Errors
401
Missing or invalid token, or the token is not authorized for this account/user.
404
The requested resource does not exist.
See Errors and rate limits for what error responses look like.
curl --location --request GET 'https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/announcements/YOUR_ANNOUNCEMENT_ID' \
--header 'Authorization: Bearer YOUR_API_TOKEN'
const res = await fetch('https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/announcements/YOUR_ANNOUNCEMENT_ID', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.SENDSTREAK_TOKEN}`
}
});
import os, requests
res = requests.get(
'https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/announcements/YOUR_ANNOUNCEMENT_ID',
headers={'Authorization': f"Bearer {os.environ['SENDSTREAK_TOKEN']}"},
)
{
"_id": "665f0a2b1c9d440012ab34cd",
"name": "Example name",
"templateId": "6650cc1d3e8a220013ef78ab",
"subject": "Welcome to Acme!",
"topicId": "6651dd2e4f9b110014ab90cd",
"includeUnsubscribed": false,
"attributes": [
{
"slug": "plan",
"operator": "s_equal",
"value": "professional"
}
],
"status": "running",
"processDate": "2026-07-07T09:30:00.000Z",
"lastSampledContactId": "665f0a2b1c9d440012ab34cd",
"createDate": "2026-07-07T09:30:00.000Z"
}